package edu.cmu.cs.l3.semant;

import java.util.List;

public class TyBinding extends Ty {

    public TyBinding(String name) {
	super(0,name);
    }

    public Ty getBinding() {
	return m_binding;
    }

    public void changeName(String n) {
	m_name = n;
    }

    public void bind(Ty ty) {
	m_binding = ty;
    }

    private Ty m_binding;
}